#
# Conditional build:
%bcond_without	pulseaudio	# PulseAudio audio output driver
#
Summary:	Extended Module Player
Summary(pl.UTF-8):	Extended Module Player - rozszerzony odtwarzacz modułów
Name:		xmp
Version:	4.1.0
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/xmp/%{name}-%{version}.tar.gz
# Source0-md5:	d9661b0be1a7ec79fd6185b166c4e9dd
URL:		http://xmp.sourceforge.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libxmp-devel >= 4.4
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
Requires:	libxmp >= 4.4
Obsoletes:	xmp-X11
Obsoletes:	xmp-output-arts
Obsoletes:	xmp-output-esd
Obsoletes:	xmp-output-nas
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Extended Module Player, a portable module player that
plays over 90 mainstream and obscure module formats, including
Protracker MOD, Fasttracker II XM, Scream Tracker 3 S3M and Impulse
Tracker IT files.

%description -l pl.UTF-8
XMP (Extended Module Player - rozszerzony odtwarzacz modułów) to
przenośny odtwarzacz modułów muzycznych, znający ponad 90 głównych i
mniej znanych formatów, w tym: Protracker (MOD), Scream Tracker 3
(S3M), Fast Tracker II (XM) oraz Impulse Tracker (IT).

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_pulseaudio:--disable-pulseaudio} \
	--disable-silent-rules

%{__make}
# -j1 \
#	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS Changelog README
%dir %{_sysconfdir}/xmp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xmp/modules.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xmp/xmp.conf
%attr(755,root,root) %{_bindir}/xmp
%{_mandir}/man1/xmp.1*
%changelog
* Tue May 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmp.git;a=log;h=auto/th/xmp-4.1.0-1

* Mon May 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 60f1a56
- updated to 4.1.0
- removed outdated nondfsg patch (no longer applicable, no fmopl in sources)
- arts,esd,nas outputs are gone
- xmms plugin is gone (last version i.e. 3.5.0 saved in xmms-input-xmp.spec)

* Thu Aug 18 2011 Jakub Bogusz <qboosh@pld-linux.org> f515f95
- updated to 3.4.1

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> e078674
- updated to 3.4.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 376bd57
- BR: pkgconfig

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 49e3eb5
- Obsoletes for -X11 and -output-* packages

* Fri Jan 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 15977d2
- verbose .conf and xmms files

* Fri Jan 14 2011 Jakub Bogusz <qboosh@pld-linux.org> facc809
- updated to 3.3.0
- updated nondfsg patch
- arts and esd disabled by default

* Wed Sep 30 2009 Łukasz Krotowski <lkrotowski@pld-linux.org> 1a6077b
- dropped ppunpack (mainline replaced it with PD version)
- fmopl up to 0.60
- up to 2.7.1

* Wed Sep 30 2009 Łukasz Krotowski <lkrotowski@pld-linux.org> d0c1476
- up to 2.7.1
- dropped obsolete patches (including gcc 3.3 patch)
- dropped shared drivers (from mainline)
- added pulseaudio support

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 04057c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ad8937b
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 3b03423
- adapterized (sorted %verify attrs)

* Sat Oct 30 2004 paladine <paladine@pld-linux.org> e240f09
- unification, capitalization, pl fixes

* Sat Apr 24 2004 Jakub Bogusz <qboosh@pld-linux.org> a4dc5f2
- strict internal deps, fixed xmms- dep, release .3

* Sun Feb 15 2004 eothane <eothane@pld-linux.org> 4d1576f
- bcond style, changelog cleanups

* Tue Aug 12 2003 ankry <ankry@pld-linux.org> 8b7fdd8
- cosmetics

* Mon Aug 04 2003 grzegol <grzegol@pld-linux.org> 89309cb
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

* Thu Jul 24 2003 ankry <ankry@pld-linux.org> 7ecfbe6
- updated md5

* Wed Jul 23 2003 Jakub Bogusz <qboosh@pld-linux.org> ecb4eaf
- up to last available version (2.0.5pre3)
- added gcc33, fix-shared, load-fix patches
- added only conditionally applied nondfsg patch (license incompatible with GPL)
  (code taken from previous xmp release)
- split into subpackages (arts build not tested yet)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1ea3b3f
- massive attack: source-md5

